{
  "name": "base-website-template-front",
  "version": "1.0.0",
  "description": "front-end sub-project",
  "author": "Sylvain Fargier <sylvain.fargier@cern.ch>",
  "scripts": {
    "help": "npm-scripts-info",
    "info": "run-s help",
    "test": "karma start --single-run --browsers ChromiumHeadless",
    "test:ci": "karma start --single-run --browsers ChromiumDocker",
    "test:watch": "nodemon -w src -w test -e vue,js,json -x karma start --single-run --browsers ChromiumHeadless",
    "build": "webpack --progress",
    "build:watch": "webpack -w --progress",
    "build:prod": "NODE_ENV=production webpack --progress",
    "lint": "lint",
    "lint:watch": "run-s 'watch -- run-s lint'",
    "lint:ci:builder": "lint --builder",
    "lint:ci:report": "mkci-lint-report",
    "tc:ci:builder": "tc --builder",
    "tc:ci:report": "mkci-tc-report",
    "watch": "nodemon -w src -w test -e vue,js,json -x "
  },
  "dependencies": {
    "@cern/base-vue": "git+https://gitlab.cern.ch/mro/common/www/base-vue.git",
    "@cern/base-web-workers": "git+https://gitlab.cern.ch/mro/common/www/base-web-workers.git",
    "@cern/prom": "git+https://gitlab.cern.ch/mro/common/www/prom.js.git",
    "@fortawesome/fontawesome-free": "^5.15.1",
    "axios": "^0.21.0",
    "bootstrap": "^4.5.3",
    "jquery": "^3.5.1",
    "lodash": "^4.17.20",
    "moment": "^2.29.1",
    "vue": "^2.6.12",
    "vue-router": "^3.4.8",
    "vue-simple-calendar": "^5.0.0",
    "vuedraggable": "^2.24.3",
    "vuex": "^3.5.1",
    "vuex-persistedstate": "^4.0.0-beta.1"
  },
  "devDependencies": {
    "@babel/core": "^7.12.3",
    "@babel/preset-env": "^7.12.1",
    "@cern/ci-utils": "git+https://gitlab.cern.ch/mro/common/www/node-ci-utils.js.git",
    "@tsconfig/recommended": "^1.0.1",
    "@types/chai": "^4.2.14",
    "@types/debug": "^4.1.5",
    "@types/dirty-chai": "^2.0.2",
    "@types/jquery": "^3.5.4",
    "@types/lodash": "^4.14.163",
    "@types/mocha": "^8.0.4",
    "@types/node": "^14.14.6",
    "@vue/test-utils": "^1.1.0",
    "babel-eslint": "^10.1.0",
    "babel-loader": "^8.1.0",
    "babel-plugin-istanbul": "^6.0.0",
    "chai": "^4.2.0",
    "commander": "^6.2.0",
    "compression-webpack-plugin": "^9.0.0",
    "css-loader": "^5.0.0",
    "dirty-chai": "^2.0.1",
    "eslint": "^7.12.1",
    "eslint-plugin-pug": "^1.2.2",
    "eslint-plugin-vue": "^7.1.0",
    "file-loader": "^6.2.0",
    "jshint": "^2.12.0",
    "karma-mocha-webpack": "git+https://gitlab.cern.ch/mro/common/www/karma-mocha-webpack.git",
    "mocha": "^8.2.1",
    "nodemon": "^2.0.6",
    "nyc": "^15.1.0",
    "pug": "^3.0.0",
    "pug-plain-loader": "^1.0.0",
    "sass": "^1.32.11",
    "sass-loader": "^10.0.4",
    "sinon": "^9.2.1",
    "sinon-chai": "^3.5.0",
    "style-loader": "^2.0.0",
    "typescript": "^4.0.5",
    "vue-loader": "^15.9.4",
    "vue-template-compiler": "^2.6.12",
    "webpack": "^5.3.2",
    "webpack-cli": "^4.1.0",
    "worker-loader": "^3.0.5"
  },
  "engines": {
    "node": ">= 6.0.0",
    "npm": ">= 3.0.0"
  }
}
